Скачать MetaTrader 5
Авторизуйтесь или зарегистрируйтесь, чтобы добавить комментарий
У тебя Mac OS? Узнай, как установить на нее MetaTrader!
OlegSng
56
OlegSng 2016.02.05 17:51 

Добрый день, господа

подскажите начинающему, как запустить отладку в МетаЕдиторе с указанного места, а не с текущей ситуации. Вкладку "Сервис" - "Настройки" видел,  чек "Использовать указанные настройки" установил, 2 поля "дата" заполнил :  слева "05.01.2016"  и справа "30.01.2016", предполагая, что отладка начнется с 05.01.2016, тем не менее отладчик берет текущую ситуацию. Что не так ?

 

Олег 

Vladimir Karputov
Модератор
32768
Vladimir Karputov 2016.02.05 18:01  
OlegSng:

Добрый день, господа

подскажите начинающему, как запустить отладку в МетаЕдиторе с указанного места, а не с текущей ситуации. Вкладку "Сервис" - "Настройки" видел,  чек "Использовать указанные настройки" установил, 2 поля "дата" заполнил :  слева "05.01.2016"  и справа "30.01.2016", предполагая, что отладка начнется с 05.01.2016, тем не менее отладчик берет текущую ситуацию. Что не так ?

 

Олег 

Кнопочку правильную нажимаете?

Отладка на истории 

OlegSng
56
OlegSng 2016.02.05 18:09  
Karputov Vladimir:

Кнопочку правильную нажимаете?

 

Ексель, нет. Это кнопка у меня неактивна, нажимаю правее.
Vladimir Karputov
Модератор
32768
Vladimir Karputov 2016.02.05 18:17  
OlegSng:
Ексель, нет. Это кнопка у меня неактивна, нажимаю правее.
Обновитесь на MetaTrader 5 x64 build 1241 и всё появится.

OlegSng
56
OlegSng 2016.02.05 18:21  
Karputov Vladimir:

Кнопочку правильную нажимаете?

 

Нашел этот пункт в меню - он действительно называется - начать на исторических данных - но он тоже неактивен. Откуда брать исторические данные?
Vladimir Karputov
Модератор
32768
Vladimir Karputov 2016.02.05 18:22  
OlegSng:
Нашел этот пункт в меню - он действительно называется - начать на исторических данных - но он тоже неактивен. Откуда брать исторические данные?
OlegSng
56
OlegSng 2016.02.05 18:27  
Karputov Vladimir:
Обновитесь на MetaTrader 5 x64 build 1241 и всё появится.

У меня пишет Meta Editor 5.00 build 1241 22 Dec 2015. А сам Метатрейдер у меня  Version 4.00 build 950 23 Dec 2015. Нужно сам Метатрейдер менять? У брокера только работа только на МТ4.
Vladimir Karputov
Модератор
32768
Vladimir Karputov 2016.02.05 18:30  
OlegSng:
У меня пишет Meta Editor 5.00 build 1241 22 Dec 2015. А сам Метатрейдер у меня  Version 4.00 build 950 23 Dec 2015. Нужно сам Метатрейдер менять? У брокера только работа только на МТ4.
Отладка на исторических данных доступна только для продвинутых пользователей MetaTrader'a 5. Переходите на MetaTrader 5.
OlegSng
56
OlegSng 2016.02.05 18:33  
Karputov Vladimir:
Отладка на исторических данных доступна только для продвинутых пользователей MetaTrader'a 5. Переходите на MetaTrader 5.
Спасибо, жалко что так. Т.е я так понимаю, что нужно открыть демо у брокера с МТ5, отладить код, потом откомпилировать в МТ 4 на реальной платформе. Так? 
Vladimir Karputov
Модератор
32768
Vladimir Karputov 2016.02.05 18:38  
OlegSng:
Спасибо, жалко что так. Т.е я так понимаю, что нужно открыть демо у брокера с МТ5, отладить код, потом откомпилировать в МТ 4 на реальной платформе. Так? 
Неа, не так. Нужно целиком и полностью переходить на MetaTrader 5.
OlegSng
56
OlegSng 2016.02.05 18:41  
А вообще где-то FAQ по техническим подробностям отладки, тестирования в смысле использования терминала/редактора есть? Хотя тут все прозрачно, я разобрался за пол часа, все достаточно просто и наглядно, если уже где-то писал/отлаживал. Как бы не хватает только значения переменной в хинте при наведении на нее мыши и модификации значений в окне просмотра переменных. Но вот подводный камень про историческую отладку просто так не узнать.
/ /12
Авторизуйтесь или зарегистрируйтесь, чтобы добавить комментарий